Subject: RE: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Drew Adams <[email-masked]>
Date: Tue, 19 Nov 2019 07:27:42 -0800 (PST)

> How does the attached patch look?  I took the minimal route of just
> adding convenience aliases.

I repeat my objection.  `font-size-*' does not make
clear that this is about text scaling, which applies
to a single _buffer, wherever it is displayed_.

"Text scaling" is not a term that suggests changing
the font size.  OK, that's a disadvantage.  But the
advantage is that it is an Emacs-specific term, which,
when consulted, tells you that it changes the apparent
size of the text shown in the buffer, wherever it's
shown.

The important thing about this is that it is
buffer-specific - affects only a single buffer, and
it affects all displays of the buffer - in all windows.

I contrasted buffer-text scaling with frame zooming,
which affects all buffers shown in all windows of a
single frame.  (It does not affect any of those
buffers shown in another frame.)

IMO, "buffer" should be in the alias name somewhere.

This is not about the default font for a frame; it's
about the default face for a buffer.  Default font vs
default face, frame vs buffer.  Big difference.  Both
kinds of zooming are useful, each in its way.

Please add "buffer" to the aliases you're adding.
For example: `buffer-font-size-increase'.

(And it's not actually "font"; it's "face".  But
that's OK.)